<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pds/pampdsTemplate.xhtml">
            <ui:param name="pageTitle"
                      value="#{messages['gazelle.simulator.pam.PampdsChangePatientIdentifierListadt^a47^adta30']}"/>
            <ui:param name="panelTitle"
                      value="#{messages['gazelle.simulator.pam.ChangePatientIdentifiers']}"/>
            <ui:param name="diagramSrc" value="diag/#{changePatientIdManager.sendingActor.keyword}_A47.png"/>
            <ui:param name="pdsBean" value="#{changePatientIdManager}"/>
            <ui:define name="helpText">
                <h:outputText
                        value="#{messages['gazelle.pam.YouCanEitherSelectAnExistingPatientOrEitherGener']}"
                        styleClass="help-block"/>
            </ui:define>
            <ui:define name="ddsButtons">
                <a4j:commandButton id="generateButton" value="#{messages['gazelle.simulator.pam.GeneratePatient']}"
                                   actionListener="#{changePatientIdManager.generateAPatient()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel"/>
            </ui:define>
            <ui:define name="actionOnPatientColumn">
                <g:column id="actionColumn">
                    <f:facet name="header">#{messages['gazelle.simulator.pam.Action']}</f:facet>
                    <div class="gzl-never-wrap">
                        <h:outputLink
                                value="#{patient.getPermanentLink()}"
                                target="_blank"
                                title="#{messages['gazelle.pam.ViewDetails']}">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                        <a4j:commandLink
                                actionListener="#{changePatientIdManager.actionOnSelectedPatient(patient)}"
                                render="globalForm"
                                title="#{messages['gazelle.simulator.pam.clickToChangePatientId']}" execute="@this">
                            <s:span styleClass="gzl-icon-pencil "/>
                        </a4j:commandLink>
                    </div>
                </g:column>
            </ui:define>
            <ui:define name="selectedPatientDivInsert">
                <s:decorate template="/layout/panels/_panel_title_footer.xhtml" id="selectedPatient"
                            rendered="#{changePatientIdManager.selectedPatient != null and changePatientIdManager.displayPatientsList == false}">
                    <ui:define name="panel_title">#{messages['gazelle.simulator.pam.SelectedPatient']}</ui:define>
                    <ui:include src="/patient/showAbstractPatientDemographic.xhtml">
                        <ui:param name="patient" value="#{changePatientIdManager.selectedPatient}"/>
                        <ui:param name="codeProvider" value="#{pamDemographicCodeProvider}"/>
                    </ui:include>
                    <ui:include src="/patient/showAbstractPatientAddress.xhtml">
                        <ui:param name="patient" value="#{changePatientIdManager.selectedPatient}"/>
                        <ui:param name="codeProvider" value="#{pamDemographicCodeProvider}"/>
                    </ui:include>
                    <ui:include src="/patient/showPatientExtraInfo.xhtml">
                        <ui:param name="patient" value="#{changePatientIdManager.selectedPatient}"/>
                    </ui:include>
                    <s:div rendered="#{iti30Manager.bp6Mode}">
                        <ui:include src="/fr/_displayAdditionalDemographics.xhtml">
                            <ui:param name="zfd" value="#{patient.additionalDemographics}"/>
                            <ui:param name="zfp" value="#{zfp}"/>
                        </ui:include>
                    </s:div>
                    <s:decorate template="/layout/display/_data_list_item.xhtml" id="patientIdentifiersDiv">
                        <ui:define name="label">#{messages['gazelle.pam.PatientIdentifiers']}
                        </ui:define>
                        <rich:list value="#{changePatientIdManager.patientIdentifiers}" var="xid"
                                   type="unordered" rowClass="patient-identifier">
                            <div class="row">
                                <h:outputText value="#{xid.object2}"
                                              rendered="#{not changePatientIdManager.changeEnable or not xid.object1.equals(changePatientIdManager.idForUpdate)}"/>
                                <a4j:commandLink
                                        defaultLabel="#{messages['gazelle.simulator.pam.ClickToUpdatePatientIdentifier']}"
                                        actionListener="#{changePatientIdManager.setIdForUpdate(xid.object1)}"
                                        rendered="#{changePatientIdManager.changeEnable and not xid.object1.equals(changePatientIdManager.idForUpdate)}"
                                        render="patientIdentifiersDiv">
                                    <s:span styleClass="gzl-icon-pencil "/>
                                </a4j:commandLink>
                                <h:inputText value="#{xid.object2}"
                                             rendered="#{xid.object1.equals(changePatientIdManager.idForUpdate)}"
                                             size="120"/>
                                <a4j:commandLink
                                        actionListener="#{changePatientIdManager.changeIdentifier(xid.object1, xid.object2)}"
                                        rendered="#{xid.object1.equals(changePatientIdManager.idForUpdate)}"
                                        title="#{messages['gazelle.pam.Done']}"
                                        render="patientIdentifiersDiv,sendHL7MessageDiv">
                                    <s:span styleClass="gzl-icon-checked "/>
                                </a4j:commandLink>
                            </div>
                        </rich:list>
                        <h:outputText styleClass="help-block"
                                      value="#{messages['gazelle.simulator.pam.ChangeOnlyOneIdentifierAtATime']}"/>
                    </s:decorate>
                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.simulator.pam.SelectAnotherPatient']}"
                                           actionListener="#{changePatientIdManager.switchPatient()}"
                                           render="globalForm" styleClass="gzl-btn"/>
                    </ui:define>
                </s:decorate>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
